Subject: displayfilter in Solaris 2.4

From: [email-masked] (Jungshik Shin)
Date: 4 Jun 1996 04:17:02 GMT

I found a really strange problem in Pine 3.93 under
Solaris 2.4. I wrote a simple filter to decode 
ISO-2022-KR(7bit) encoded Korean mail back to EUC-KR
(KSC 5601:8bit) and set it as a displayfilter
( "" /full/path/myfilter). It worked very well
under Linux 2.0pre6 and AIX 4.x, but under Solaris 2.4,
it gives me following error messages , the first of
which appears when I try to display the
message and the 2nd of which appears at the end
of 'decoded'(filtered. yes, filter works even with error
messages) message after I hit [return]. 

---------
Pipe command returned error.  Hit return to continue.

[Error: Formatting error: Pipe command returned error.] 
-------------

  Since I know that 'stty' and other terminal related
commands in shell start-up file can be causes of problem,
I removed(well, backed up) all of them(.tcshrc,.cshrc, 
.bashrc,and even irrelvant .login and .profile), but
I get the same error.  More strange is 
'mmencode' works well under Solaris if set as 
displayfilter. Hence, I wonder if there's any
condition to be satisfied by 'filter' other than
that it accepts standard input and writes to standard output.

  On all three platforms, I used binaries available
at ftp://ftp.cac.washington.edu/pine/unix-bin.

  For your reference, my filter, "hmconv" is available
at ftp://ftp.korea.stanford.edu/incoming/upload9604/hmconv.c

  I would be greatly obliged to anyone who can enlighten me
on this issue.

      Jungshik Shin